### Constructor

# Gsk CopyNode new

since: 4.22

#### Declaration [src]

    GskRenderNode*
    gsk_copy_node_new (
      GskRenderNode* child
    )

#### Description [src]

Creates a `GskRenderNode` that copies the current rendering canvas for playback by paste nodes that are part of the child.

Available since: 4.22

#### Parameters

`child`

  Type: `GskRenderNode`

  The child.

  The data is owned by the caller of the function.

#### Return value

Type: `GskCopyNode`

A new `GskRenderNode`.

The caller of the function takes ownership of the data, and is responsible for freeing it.